Bug 1325763 - Review Request: perl-Test-Requires-Git - Check your test requirements against the available version of Git
Summary: Review Request: perl-Test-Requires-Git - Check your test requirements against...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-Requires-Git
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 06:58 UTC by Jan Pazdziora
Modified: 2016-05-07 12:06 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Requires-Git-1.005-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 12:06:11 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2016-04-11 06:58:53 UTC
Spec URL: https://adelton.fedorapeople.org/perl-Test-Requires-Git.spec
SRPM URL: https://adelton.fedorapeople.org/perl-Test-Requires-Git-1.005-1.fc23.src.rpm
Description: Test::Requires::Git checks if the version of Git available for testing meets the given requirements.
Fedora Account System Username: adelton

Comment 1 Petr Pisar 2016-04-11 15:38:49 UTC
URL and Source0 addresses are usable. Ok.
Source archive is original (SHA-256: f0d8e0f77d12122cf884bf48f0a65883eb208f8222a58b52d2e720d379f675ed). Ok.
Summary verified from lib/Test/Requires/Git.pm. Ok.
Description verified from lib/Test/Requires/Git.pm. Ok.
License verified from README, lib/Test/Requires/Git.pm, LICENSE. Ok.
No XS code, noarch BuildArch is Ok.

FIX: Build-require perl (perl-Test-Requires-Git.spec:35).

TODO: Build-require perl-generators. (This package delivers scripts that generate dependencies for a built package. The perl-generators will be removed from minimal build root in the near future.)

FIX: Build-require perl(base) (lib/Test/Requires/Git.pm:9).

Test::Pod::Coverage not used. Ok.
Pod::Coverage::TrustPod not used Ok.
Test::CPAN::Meta not used. Ok.
Test::Pod not used. Ok.

CPAN::Meta not useful Ok.
CPAN::Meta::Prereqs not useful Ok.

I believe this package does not have to run-require git. Ok.

All tests pass. Ok.

$ rpmlint perl-Test-Requires-Git.spec ../SRPMS/perl-Test-Requires-Git-1.005-1.fc25.src.rpm ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Apr 11 17:24 /usr/share/doc/perl-Test-Requires-Git
-rw-r--r--    1 root    root                     1077 Apr  2 01:09 /usr/share/doc/perl-Test-Requires-Git/Changes
-rw-r--r--    1 root    root                      763 Apr  2 01:09 /usr/share/doc/perl-Test-Requires-Git/README
drwxr-xr-x    2 root    root                        0 Apr 11 17:24 /usr/share/licenses/perl-Test-Requires-Git
-rw-r--r--    1 root    root                    18379 Apr  2 01:09 /usr/share/licenses/perl-Test-Requires-Git/LICENSE
-rw-r--r--    1 root    root                     2661 Apr 11 17:24 /usr/share/man/man3/Test::Requires::Git.3pm.gz
drwxr-xr-x    2 root    root                        0 Apr 11 17:24 /usr/share/perl5/vendor_perl/Test
drwxr-xr-x    2 root    root                        0 Apr 11 17:24 /usr/share/perl5/vendor_perl/Test/Requires
-rw-r--r--    1 root    root                     7943 Apr  2 01:09 /usr/share/perl5/vendor_perl/Test/Requires/Git.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(base)
      1 perl(Carp)
      1 perl(Git::Version::Compare)
      1 perl(Git::Version::Compare) >= 1.001
      1 perl(strict)
      2 perl(Test::Builder::Module)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Do not require perl(Test::Builder::Module) explicitly.
TODO: Filter unversioned perl(Git::Version::Compare) from requires.

$ rpm -q --provides -p ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm | sort -f | uniq -c
      1 perl(Test::Requires::Git) = 1.005
      1 perl-Test-Requires-Git = 1.005-1.fc25
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F25 (http://koji.fedoraproject.org/koji/taskinfo?taskID=13626172). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items, consider fixing `TODO' items and provide a new package.
Resolution: Package NOT approved.

Comment 2 Jan Pazdziora 2016-04-18 06:34:54 UTC
Thank you for the review.

The .spec file at https://adelton.fedorapeople.org/perl-Test-Requires-Git.spec was updated with the patch below, hopefully addressing all FIX and TODO items.

--- perl-Test-Requires-Git.spec.take1	2016-04-11 08:50:25.734171589 +0200
+++ perl-Test-Requires-Git.spec	2016-04-18 08:24:02.387846065 +0200
@@ -10,6 +10,8 @@
 
 BuildRequires:  findutils
 BuildRequires:  make
+BuildRequires:  perl
+BuildRequires:  perl(base)
 BuildRequires:  perl(Carp)
 BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(File::Spec)
@@ -20,8 +22,10 @@
 BuildRequires:  perl(Test::Builder::Module)
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(warnings)
+BuildRequires:  perl-generators
+
+%global __requires_exclude ^perl\\(Git::Version::Compare\\)$
 Requires:       perl(Git::Version::Compare) >= 1.001
-Requires:       perl(Test::Builder::Module)
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
 %description

Comment 3 Petr Pisar 2016-04-18 07:45:37 UTC
> FIX: Build-require perl (perl-Test-Requires-Git.spec:35).
+BuildRequires:  perl
Ok.

> TODO: Build-require perl-generators.
+BuildRequires:  perl-generators
Ok.

> FIX: Build-require perl(base) (lib/Test/Requires/Git.pm:9).
+BuildRequires:  perl(base)
Ok.

$ rpmlint perl-Test-Requires-Git.spec ../SRPMS/perl-Test-Requires-Git-1.005-1.fc25.src.rpm ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

> TODO: Do not require perl(Test::Builder::Module) explicitly.
> TODO: Filter unversioned perl(Git::Version::Compare) from requires.

$ rpm -q --requires -p ../RPMS/noarch/perl-Test-Requires-Git-1.005-1.fc25.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(base)
      1 perl(Carp)
      1 perl(Git::Version::Compare) >= 1.001
      1 perl(strict)
      1 perl(Test::Builder::Module)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

Package build in F25 (http://koji.fedoraproject.org/koji/taskinfo?taskID=13696414). Ok.

Resolution: Package APPROVED.

Comment 5 Fedora Update System 2016-04-18 14:10:08 UTC
perl-Test-Requires-Git-1.005-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71128b1ec2

Comment 6 Fedora Update System 2016-04-18 14:47:44 UTC
perl-Git-Repository-Plugin-AUTOLOAD-1.003-1.fc24 perl-Test-Requires-Git-1.005-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71128b1ec2

Comment 7 Fedora Update System 2016-04-18 18:50:46 UTC
perl-Git-Repository-Plugin-AUTOLOAD-1.003-1.fc24, perl-Test-Requires-Git-1.005-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71128b1ec2

Comment 8 Fedora Update System 2016-05-07 12:06:05 UTC
perl-Git-Repository-Plugin-AUTOLOAD-1.003-1.fc24, perl-Test-Requires-Git-1.005-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.